# Class Video#getContentRotation

Video

- Defined in: video.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Video#getContentRotation(successCallback, errorCallback) Gets content rotation status.

## Class Detail

Video#getContentRotation(successCallback, errorCallback)
Gets content rotation status.

    // Javascript code
    function getContentRotation () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject.source));

         console.log("degree : " + cbObject.degree);
         console.log("aspectRatio : " + cbObject.aspectRatio);

         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var video = new Video();
      video.getContentRotation(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

This function is removed since 1.4. Use transform properties of CSS instead.

Since:
  1.3
Returns:
  {Object}

  Property | Type | Description | Required
  --- | --- | --- | ---
  degree | String | "off", "90", or "270" | required
  aspectRatio | String | "full" or "original" | required

See:
  Video.setContentRotation()